/*
 *    @(#) 1.9 src/somk/somtypes.h, somk.api, som3.0 9/4/96 13:45:16 [12/22/96 21:12:53]
 */

/*
 * 96F8647, 96F8648, 96F8850 (C) Copyright IBM Corp. 1992, 1994
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 */

/*
 *    SOMTYPES.H
 *    SOM types for C
 *    Multiple Inheritance Version
 */
#ifndef somtypes_h
#define somtypes_h

#include <stdarg.h>

/* SOM Base Types */
#include <sombtype.h>

/* Object Instance Structure */
struct somMethodTabStruct;
typedef struct SOMAny_struct {
    struct somMethodTabStruct  *mtab;
    integer4 body[1];
} SOMAny;

/* SOM Primitive Classes */
#define SOMObject SOMAny
#define SOMClass SOMAny
#define SOMClassMgr SOMAny

#if (defined(__OS2__) || defined(_OS2) || defined(_WIN32)) && defined(__IBMC__) && (__IBMC__ >= 300)
#pragma library("somtk.lib")
#endif

#endif  /* somtypes_h */
