//
//   COMPONENT_NAME: somx
//
//   ORIGINS: 27
//
//
//    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1992,1996
//   All Rights Reserved
//   Licensed Materials - Property of IBM
//   US Government Users Restricted Rights - Use, duplication or
//   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//
#ifndef lint
static char *sccsid = "@(#) 1.1 src/somples.nt/somd/cpp/peer/peerserv.cpp, somples.somd, som3.0 12/10/96 14:13:21 [12/23/96 08:40:36]";
#endif

/*
 *
 * DISCLAIMER OF WARRANTIES.
 * The following [enclosed] code is sample code created by IBM
 * Corporation. This sample code is not part of any standard or IBM
 * product and is provided to you solely for the purpose of assisting
 * you in the development of your applications.  The code is provided
 * "AS IS". IBM MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE, REGARDING THE FUNCTION OR PERFORMANCE OF
 * THIS CODE.  IBM shall not be liable for any damages arising out of
 * your use of the sample code, even if they have been advised of the
 * possibility of such damages.
 *
 * DISTRIBUTION.
 * This sample code can be freely distributed, copied, altered, and
 * incorporated into other software, provided that it bears the above
 * Copyright notice and DISCLAIMER intact.
 */

#define PeerServer_Class_Source
#define SOMClass_Class_Source
#include "peerserv.xih"
#include <stdio.h>   /* Needed in order to flush standard output. */

/*
 * Notification that a timer event occurred for a certain server.
 */

SOM_Scope void  SOMLINK noteTimeout(PeerServer *somSelf,  Environment *ev,
				    string serverName1, string serverName2)
{
    /* PeerServerData *somThis = PeerServerGetData(somSelf); */
    PeerServerMethodDebug("PeerServer","noteTimeout");

    somPrintf("%s received timeout notification from %s.\n", serverName1, 
	      serverName2);
    fflush(stdout);  /* Flush standard output */
    return;
}

