#
#   COMPONENT_NAME: somx
#
#   ORIGINS: 27
#
#
#    25H7912  (C)  COPYRIGHT International Business Machines Corp. 1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   @(#) 1.4 src/somples.nt/somk/cpp/derived/vac.mak, somples.somk, som3.0 12/15/96 17:42:15 [12/17/96 09:06:04]

# DISCLAIMER OF WARRANTIES.
# The following [enclosed] code is sample code created by IBM
# Corporation. This sample code is not part of any standard or IBM
# product and is provided to you solely for the purpose of assisting
# you in the development of your applications.  The code is provided
# "AS IS". IBM MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT
# NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE, REGARDING THE FUNCTION OR PERFORMANCE OF
# THIS CODE.  IBM shall not be liable for any damages arising out of
# your use of the sample code, even if they have been advised of the
# possibility of such damages.
#
# DISTRIBUTION.
# This sample code can be freely distributed, copied, altered, and
# incorporated into other software, provided that it bears the above
# Copyright notice and DISCLAIMER intact.

#
#  Makefile for building the derived sample with
#        VisualAge C++ - using nmake.
#
!include ..\..\..\vacmake.hd

all: $(SOMXH_DEPEND) derived.exe

EXEOBJS = derived.obj main.obj hello.obj mello.obj

derived.exe : $(EXEOBJS)
derived.obj : derived.cpp derived.xih derived.xh hello.xh mello.xh
main.obj : main.cpp derived.xh hello.xh mello.xh

hello.obj : hello.cpp hello.xih hello.xh
mello.obj : mello.cpp mello.xih mello.xh

clean:
	-del derived.exe 

!include ..\..\..\vacmake.tl
